<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_wallet', function (Blueprint $table) {
            $table->integer('winner_status')->default(0)->comment('是否中奖');
            $table->integer('transfer_status')->default(0)->comment('中奖后是否转账');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_wallet', function (Blueprint $table) {
            $table->dropColumn('winner_status');
            $table->dropColumn('transfer_status');
        });
    }
};
